import { WorkflowState, WorkflowAction } from ".";

export class WorkflowVersion {    
    Id: number = 0;
    VersionNumber:  number = 0;
    States: WorkflowState[] = new Array<WorkflowState>();
    Actions: WorkflowAction[] = new Array<WorkflowAction>();
    WorkflowId:  number = 0;
    IsDraft:  boolean = false;
    DefaultState: WorkflowState|null = null;
}